#
# spec file for package gambas2
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           drgeo
Version:        12.10a
Release:        lp150.1.1
License:        GPL-2.0+
Summary:        Interactive Geometry Program
Url:            http://www.ofset.org/drgeo
Group:          Productivity/Graphics/CAD
Source0:        DrGeo.app-%{version}.zip
Source1:        drgeo.desktop
BuildRequires:  fdupes
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An interactive geometry program that allows the construction of
interactive geometric figures. It is oriented towards education.

%prep
%setup -q -n DrGeo.app

%build
#

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
cp -r * %{buildroot}%{_datadir}/%{name}/
for i in ChangeLog LICENSE drgeo.exe *.dll Contents/MacOS ; do
    rm -rf %{buildroot}%{_datadir}/%{name}/$i
done
install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m 644 Contents/Resources/drgeo.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
#
cd %{_datadir}/%{name}
sh drgeo.sh
cd ..
EOF
chmod +x %{buildroot}%{_bindir}/%{name}
%fdupes -s %{buildroot}
%find_lang DrGeoII
%find_lang pharo
cat DrGeoII.lang pharo.lang > %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog LICENSE
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/*

%changelog
* Sun Dec 16 2012 lars@linux-schulserver.de
- update to 12.10a
- adapted specfile to the new codebase
* Mon May 30 2011 prusnak@opensuse.org
- spec cleanup
* Thu Jul  1 2010 pgajdos@suse.cz
- fixed build:
  * anonymous-type.patch
* Mon Mar  9 2009 pgajdos@suse.cz
- fixed build: sr@Latn -> sr@latin
* Sun May  4 2008 lrupp@suse.de
- fix czech translation by Adrian Gunis (bgo#517967)
- build on older distros
* Thu Aug  9 2007 maw@suse.de
- Fix the -lang subpackage.
* Tue Aug  7 2007 mauro@suse.de
- Split out a -lang subpackage
- Add %%fdupes stuff
* Sun Jan  7 2007 ro@suse.de
- GNOME moved to /usr
* Fri Oct 13 2006 aj@suse.de
- Add guile-devel to buildrequires.
* Thu Oct 12 2006 ro@suse.de
- add gmp-devel to buildreq (guile)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 24 2005 lmichnovic@suse.cz
- fixed overstrike in code which obsoletes a part of previous patch.
  The rest has been renamed as drgeo-1.1.0-random_return_data.patch
* Wed Nov 23 2005 yxu@suse.de
- fixed uninitialized variables
* Wed Oct  5 2005 lmichnovic@suse.cz
- upgrade to version 1.1.0
* Tue Apr 26 2005 yxu@suse.de
- fixed for GCC4
* Tue Dec 14 2004 hvogel@suse.de
- fix desktop file
* Wed Oct 27 2004 mmj@suse.de
- locale rename no to nb
* Sun Jun 13 2004 ro@suse.de
- added return types to some non-void functions
* Tue Jan 20 2004 ltinkl@suse.cz
- fix build
- correctly package the TeXmacs plugin
- use find_lang macro
* Mon Jan 19 2004 ltinkl@suse.cz
- update to 0.9.11
- build fixes
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Sep  1 2003 adrian@suse.de
- add desktop file
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Apr 25 2001 cihlar@suse.cz
- compile with $RPM_OPT_FLAGS
* Wed Apr  4 2001 cihlar@suse.cz
- fixed to compile on axp
* Wed Jan 24 2001 cihlar@suse.cz
- fixed to compile on ia64
* Sun Nov  5 2000 ro@suse.de
- fixed neededforbuild
* Tue Oct 31 2000 cihlar@suse.cz
- bzipped sources
* Tue May 16 2000 cihlar@suse.cz
- created package
